Altibase.jdbc.driver.cm

## Class CmFetchResult

- java.lang.Object
- - Altibase.jdbc.driver.cm.CmResult
  - - Altibase.jdbc.driver.cm.CmStatementIdResult
    - - Altibase.jdbc.driver.cm.CmFetchResult

    public class CmFetchResult
    extends CmStatementIdResult

### Field Summary

Fields
`static byte` `MY_OP`

### Constructor Summary

Constructors
Constructor and Description
`CmFetchResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `fetchRemains()`
`java.util.List<Column>` `getColumns()`
`DynamicArray` `getDynamicArray(int aIndex)` 컬럼인덱스에 해당하는 DynamicArray를 리턴한다.
`long` `getFetchedBytes()` CMP_OP_DB_FetchV2 operation 요청에 따라 수신된 fetch byte 수를 반환한다.
`int` `getFetchedRowCount()` CMP_OP_DB_FetchV2 operation 요청에 따라 수신된 fetch row 수를 반환한다.
`protected byte` `getResultOp()`
`short` `getResultSetId()`
`long` `getTotalOctetLength()` SQL/CLI 의 SQL_DESC_OCTET_LENGTH 에 대응되는 column 길이로서, 모든 column 의 총합을 반환한다.
`RowHandle` `rowHandle()`
`void` `setMaxFieldSize(int aMaxFieldSize)`
`void` `setPrepared(boolean aIsPrepared)`
`void` `setRowHandle(RowHandle aRowHandle)`
`void` `setUseArrayListRowHandle(boolean aUseArrayListRowHandle)`
`boolean` `useArrayListRowHandle()`

### Methods inherited from class Altibase.jdbc.driver.cm.CmStatementIdResult

`getStatementId, setStatementId`

### Methods inherited from class Altibase.jdbc.driver.cm.CmResult

`getError`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MY_OP

    public static final byte MY_OP

See Also:
  Constant Field Values

### Constructor Detail

#### CmFetchResult

    public CmFetchResult()

### Method Detail

#### getResultSetId

    public short getResultSetId()

#### getColumns

    public java.util.List<Column> getColumns()

#### rowHandle

    public RowHandle rowHandle()

#### setMaxFieldSize

    public void setMaxFieldSize(int aMaxFieldSize)

#### getFetchedRowCount

    public int getFetchedRowCount()

CMP_OP_DB_FetchV2 operation 요청에 따라 수신된 fetch row 수를 반환한다.

#### getFetchedBytes

    public long getFetchedBytes()

CMP_OP_DB_FetchV2 operation 요청에 따라 수신된 fetch byte 수를 반환한다.

#### getTotalOctetLength

    public long getTotalOctetLength()

SQL/CLI 의 SQL_DESC_OCTET_LENGTH 에 대응되는 column 길이로서, 모든 column 의 총합을 반환한다.

#### fetchRemains

    public boolean fetchRemains()

#### getResultOp

    protected byte getResultOp()

Specified by:
  `getResultOp` in class `CmResult`

#### getDynamicArray

    public DynamicArray getDynamicArray(int aIndex)

컬럼인덱스에 해당하는 DynamicArray를 리턴한다.

Parameters:
  `aIndex` - 컬럼인덱스
Returns:
  컬럼인덱스에 해당하는 DynamicArray

#### setPrepared

    public void setPrepared(boolean aIsPrepared)

#### setRowHandle

    public void setRowHandle(RowHandle aRowHandle)

#### setUseArrayListRowHandle

    public void setUseArrayListRowHandle(boolean aUseArrayListRowHandle)

#### useArrayListRowHandle

    public boolean useArrayListRowHandle()